<?php
error_reporting(0);
close_browse();
if (!eregi($_SERVER['SERVER_NAME'], $_SERVER['HTTP_REFERER'])) {exit();}
global $db, $CcTvAi_com_userid;
$callback=SafeRequest("callback", "get");
if ($CcTvAi_com_userid) {
	$cd_uid=SafeRequest("uid", "post");
	$cd_fgid=SafeRequest("fgid", "post");
	if(!IsNumID($CcTvAi_com_userid)) {exit();}
	if(!IsNumID($cd_uid)) {exit();}
	if(!IsNumID($cd_fgid)) {exit();}
	$cd_fgName=unescape(SafeRequest("fgName", "post"));
	if ($CcTvAi_com_userid!=$cd_uid) {exit('20002');
	} else {
		if ($cd_fgName=='') {exit('10007');}
		if ($CcTvAi_com_groupnum>=8) {exit('100061');}
		if (mb_strlen($cd_fgName, 'UTF8')>7) {exit('10006');}
		//Èë¿â
		$setarr=array(
			'cd_uid' => $CcTvAi_com_userid,
			'cd_name' => $cd_fgName,
			'cd_count' => 0
		);
		inserttable('friendgroup', $setarr, 1);
		$db->query("update " . tname('user') . " set cd_groupnum=cd_groupnum+1 where cd_id='$CcTvAi_com_userid'");
		$showstr='';
		$query=$db->query("select * from " . tname('friendgroup') . " where cd_uid='$cd_uid' order by cd_id asc LIMIT 0,10");
		while ($row=$db->fetch_array($query)) {
			$showstr=$showstr . '<div class="list"><a class="list_clo" href="' . cd_webpath . 'user/space.php?do=friend&day=4&fgid=' . $row['cd_id'] . '">' . $row['cd_name'] . '</a></div>';
		}
		$showstr=$showstr . '<div class="add"><a onclick="$(\'#friendGroupAdd\').show();$(\'#addGroup1\').hide();" href="javascript:;" id="addGroup1">Ìí¼Ó·Ö×é</a></div>';
		echo $showstr;
	}
} else {
	exit('20001');
}
?>